package com.rf.animalSounds.user.service.impl;

import com.rf.animalSounds.user.dao.model.UserEntity;
import com.rf.animalSounds.user.dao.repository.UserRepository;
import com.rf.animalSounds.user.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 * @Description: 用户注册登录等相关接口
 * @Author: zsy
 * @Date: 2024/12/4
 */
@Service
public class UserServiceImpl implements UserService {

    @Autowired
    private UserRepository userRepository;

    @Override
    public UserEntity save(UserEntity userEntity) {
        return this.userRepository.save(userEntity);
    }

    @Override
    public UserEntity findById(String id) {
        return this.userRepository.findById(id).orElse(null);
    }

    @Override
    public UserEntity findByOpenId(String openId) {
        return this.userRepository.findByOpenId(openId);
    }

}
